> For the complete documentation index, see [llms.txt](https://docs.ionos.com/postgres-sdk-nodejs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ionos.com/postgres-sdk-nodejs/api/restoresapi.md).

# RestoresApi

All URIs are relative to *<https://api.ionos.com/databases/postgresql>*

| Method                                        | HTTP request                           | Description                   |
| --------------------------------------------- | -------------------------------------- | ----------------------------- |
| [**clusterRestorePost**](#clusterrestorepost) | **POST** /clusters/{clusterId}/restore | In-place restore of a cluster |

## clusterRestorePost

> clusterRestorePost(clusterId, createRestoreRequest)

In-place restore of a cluster

Triggers an in-place restore of the given PostgreSQL.

### Examples

```javascript
const ionoscloud = require('@ionos-cloud/sdk-nodejs-dbaas-postgres');
// setup authorization
const config = new ionoscloud.Configuration({
    username: 'YOUR_USERNAME',
    password: 'YOUR_PASSWORD',
    apiKey: 'YOUR_API_KEY'
});
const api_instance = new ionoscloud.RestoresApi(config);
// In-place restore of a cluster
api_instance
  .clusterRestorePost({
    clusterId: 498ae72f-411f-11eb-9d07-046c59cc737e,
    createRestoreRequest: createRestoreRequest_example
  })
  .then((response) => console.log(response.data))
  .catch((error) => console.log(error.response.data));
```

### Parameters

| Name                     | Type                                                                            | Description                    | Notes                   |
| ------------------------ | ------------------------------------------------------------------------------- | ------------------------------ | ----------------------- |
| **clusterId**            | **string**                                                                      | The unique ID of the cluster.  | \[default to undefined] |
| **createRestoreRequest** | [**CreateRestoreRequest**](/postgres-sdk-nodejs/models/createrestorerequest.md) | The restore request to create. |                         |

### Return type

nil (empty response body)

### Authorization

basicAuth, tokenAuth

### HTTP request headers

* **Content-Type**: application/json
* **Accept**: application/json


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ionos.com/postgres-sdk-nodejs/api/restoresapi.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
